﻿﻿body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    background: white;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.login-container {
    width: 400px;
    max-width: 90%;
    padding: 20px;
    background-color: #F7F9F9;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.header {
    background: linear-gradient(to bottom, #9cc3f2, #61a3f2);
    color: white;
    padding: 5px;
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
}

.logout-section {
    background: linear-gradient(to bottom, #e6f0ff, #A4D7E1);
    color: black;
    padding: 10px 20px;
    display: flex;
    align-items: center;
    position: fixed;
    top: 80px;
    left: 0;
    width: 100%;
    height: 20px;
    z-index: 999;
}


.logo {
    height: 60px;
    margin-right: 10px;
}

.university-name {
    font-size: 24px;
    font-weight: bold;
    color: white;
    text-decoration: none;
    transition: color 0.3s ease, transform 0.3s ease;
    text-shadow: 2px 2px 4px rgb(3, 3, 3, 0.50);
}

.footers {
    background-color: #333;
    padding: 2px 5px;
    text-align: center;
    font-size: 12px;
    color: white;
    position: fixed;
    bottom: 0;
    width: 100%;
    box-sizing: border-box;
    line-height: 1.2;
}

    .footers .creat {
        font-size: 12px;
        color: #cad8d4;
        margin: 0;
    }

@media only screen and (max-width: 768px) {
    .login-container {
        width: 80%;
        padding: 15px;
    }
}

@media only screen and (max-width: 480px) {
    .login-container {
        width: 90%;
        padding: 10px;
    }
}

.login-container h2 {
    margin-bottom: 20px;
    margin-top: 10px;
    font-size: 24px;
    color: black;
}

.form-group {
    margin-bottom: 15px;
    text-align: left;
}

label {
    display: block;
    font-size: 14px;
    font-weight: bold;
    color: #124E66;
    margin-bottom: 5px;
}

.input-field {
    width: 100%;
    padding: 10px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

    .input-field:focus {
        border-color: #004080;
        outline: none;
    }

.login-button {
    width: 100%;
    padding: 10px;
    font-size: 16px;
    color: black;
    background: linear-gradient(to bottom, #9cc3f2, #61a3f2);
    font-family: 'Times New Roman';
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

    .login-button:hover {
        background: linear-gradient(to bottom, #9cc3f2, #61a3f2);
        color: black;
    }

.password-wrapper {
    position: relative;
    display: flex;
    align-items: center;
}

    .password-wrapper .icon {
        position: absolute;
        right: 10px;
        cursor: pointer;
        width: 25px;
        height: 25px;
    }

.input-wrapper {
    position: relative;
    display: flex;
    align-items: center;
}

    .input-wrapper .icon {
        position: absolute;
        right: 10px;
        cursor: pointer;
        width: 25px;
        height: 25px;
    }

.forgot-password-link {
    display: block;
    margin-top: 10px;
    text-align: center;
    color: #007BFF;
    text-decoration: none;
    font-size: 14px;
}

    .forgot-password-link:hover {
        text-decoration: underline;
        color: #0056b3;
    }

.modal {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fefefe;
    width: 400px;
    max-width: 90%;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
}

    .modal-content h3 {
        font-size: 1.5em;
        margin-bottom: 15px;
        text-align: center;
        color: #124E66;
    }

.close-button {
    background: none;
    border: none;
    font-size: 2em;
    color: #666;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 15px;
    font-weight: bold;
    transition: color 0.3s ease;
}

    .close-button:hover {
        color: #333;
    }

.forgot-title {
    margin-top: 2px;
    margin-bottom: 2px;
    color: #333;
    font-size: 1.5em;
    justify-content: center;
    margin-left: 10px;
}

.reset-button {
    width: 100%;
    padding: 10px 15px;
    font-size: 1em;
    color: #fff;
    background-color: #007a8e;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

    .reset-button:hover {
        background-color: #A4D7E1;
        color: black;
    }

.modal-content .error-message {
    color: red;
    font-size: 0.9em;
    margin-top: 10px;
}

.Popup-button {
    width: 100%;
    padding: 10px;
    font-size: 16px;
    color: white;
    background: linear-gradient(to right, #36d1dc, #5b86e5);
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 10px;
}

    .Popup-button:hover {
        background-color: #A4D7E1;
        color: black;
    }

.popup-label {
    display: block;
    font-size: 13px;
    font-weight: bold;
    color: #124E66;
    margin-bottom: 5px;
    text-align: left;
    margin-top: 5px;
}

@media only screen and (max-width: 768px) {
    .modal-content {
        width: 80%;
        padding: 15px;
    }
}

@media only screen and (max-width: 480px) {
    .modal-content {
        width: 90%;
        padding: 10px;
    }
}

.required-field {
    color: red;
}
